Atualizar cliente
curl --request PATCH \
--url https://api.upag.io/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/customers/{customerId}';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Clientes
Atualizar cliente
Atualiza dados parciais do cliente
PATCH
https://api.upag.io
/
v1
/
customers
/
{customerId}
Atualizar cliente
curl --request PATCH \
--url https://api.upag.io/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/customers/{customerId}';
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl -X PATCH https://api.upag.io/v1/customers/660e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer sk_test_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"name": "John Customer Jr",
"email": "john.jr@example.com"
}'
name, email, phone, address. Documento não é alterável neste endpoint.
Resposta
200 OK
Response
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "John Customer Jr",
"email": "john.jr@example.com",
"document": {
"number": "12345678901",
"type": "cpf"
},
"phone": {
"countryCode": "55",
"areaCode": "11",
"number": "999998888"
},
"address": {
"street": "Rua A",
"number": "100",
"complement": "Apto 1",
"neighborhood": "Centro",
"city": "Sao Paulo",
"state": "SP",
"country": "BR",
"zip": "01001000"
},
"createdAt": "2026-03-18T11:00:00.000Z",
"updatedAt": "2026-03-18T11:30:00.000Z"
}